Subject: Re: TCP sender stuck in persist despite peer advertising non-zero window

From: Apollon Oikonomopoulos <[email-masked]>
Date: Fri, 16 Oct 2020 19:57:16 +0300

Neal Cardwell <[email-masked]> writes:
> On Thu, Oct 15, 2020 at 6:12 PM Apollon Oikonomopoulos <[email-masked]> wrote:
>> Neal, would it be possible to re-send the patch as an attachment? The
>> inlined version does not apply cleanly due to linewrapping and
>> whitespace changes and, although I can re-type it, I would prefer to test
>> the exact same thing that would be merged.
>
> Sure, I have attached the "git format-patch" format of the commit. It
> does seem to apply cleanly to the v4.9.144 kernel you mentioned you
> are using.
>
> Thanks for testing this!

We are now running the patched kernel on the machines involved. I want
to give it some time just to be sure, so I'll get back to you by
Thursday if everything goes well.

Best,
Apollon